system_essentials=( "git" "curl" "wget" "base-devel" "networkmanager"
    "pipewire" "pipewire-alsa" "pipewire-jack" "pipewire-pulse" "wireplumber" "openssh"
    "libfido2" "xorg-server" "xorg-apps" "xorg-xinit" "xorg-xmessage" "libx11"
    "libxft" "libxinerama" "libxrandr" "libxss" "pkgconf")

tools_and_apps=( "alacritty" "fish" "arandr" "rofi" "trayer" "firefox"
 "discord" "fzf" "nodejs" "npm" "ntfs-3g" "nvidia" "nvidia-utils"
  "amd-ucode" "intel-ucode" "sbctl" "refind" "pasystray" "network-manager-applet"
  "xdg-desktop-portal" "pavucontrol" "docker" "pcmanfm" "tmux" "tree"
  "unzip" "flameshot" "playerctl" "xscreensaver" "htop" "lxappearance"
  "texlive-core" "texlive-bibtexextra" "texlive-most" "zathura"
  "zathura-pdf-mupdf" "xclip" "ripgrep" "qbittorrent" "sshpass" "lazygit"
  "x11-ssh-askpass" "zip" "xdotool" "bluez" "bluez-utils" "vlc" "eog"
  "libheif" "lib32-libheif" "net-tools" "inetutils" "audacity"
  "gnome-keyring" "jdk17-openjdk")

fonts=( "noto-fonts" "noto-fonts-cjk" "noto-fonts-emoji"
    "noto-fonts-extra" "ttf-firacode-nerd" "ttf-font-awesome"
    "ttf-liberation" "ttf-ubuntu-font-family" "ttf-ubuntu-mono-nerd")


PKGS+=("${system_essentials[@]}")
PKGS+=("${tools_and_apps[@]}")
PKGS+=("${fonts[@]}")

pacman -Syu
pacman -S -y --ask 4 --noconfirm "${PKGS[@]}"
